#include <LiquidCrystal_I2C.h>
#include <dht11.h>

dht11 DHT11;
LiquidCrystal_I2C lcd(0x27,16,2);  

int sensorPin = A0;
int buzzerPin = 3;
int sensorValue = 0;
int relayPin = 2;

void setup() {
  lcd.init();
  pinMode(sensorPin, INPUT);
  pinMode(buzzerPin, OUTPUT);
  tone(buzzerPin, 1000, 2000);
  pinMode(relayPin, OUTPUT);
  Serial.begin(9600);
}

void loop() {
  delay(2000);

  sensorValue = analogRead(sensorPin);
  int chk = DHT11.read(A1);
  
  //citesc temperatura si umiditatea cu senzorul dht11
  float temperature = (float)DHT11.temperature;
  float humidity = (float)DHT11.humidity;

  //afisez temperatura si umiditatea pe ecran
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Temp:");  
  lcd.print(temperature);
  lcd.print((char)223);
  lcd.print("C");
  lcd.setCursor(0, 1);
  lcd.print("Humidity:");
  lcd.print(humidity);
  lcd.print("%");
 
  // daca senzorul de umiditate este activ
  if (digitalRead(A0) == HIGH) {
   //activez buzzerul
   tone(buzzerPin, 440); // A4
   delay(1000);

   tone(buzzerPin, 494); // B4
   delay(1000);

   tone(buzzerPin, 523); // C4
   delay(1000);

   tone(buzzerPin, 587); // D4
   delay(1000);

   tone(buzzerPin, 659); // E4
   delay(1000);

   tone(buzzerPin, 698); // F4
   delay(1000);

   tone(buzzerPin, 784); // G4
   delay(1000);

   noTone(buzzerPin);
   delay(1000);

   // acgtivez releul
   digitalWrite(relayPin, HIGH);
  }
}
